# node-red-contrib-totaliser
![Version](https://img.shields.io/badge/Version-v0.0.10-blue.svg)  

Copyright 2018 [iaconnects](http://www.iaconnects.co.uk) under the BSD-3-Clause license.

## Install
Run the following command in the root directory of your Node-RED install:

```npm install node-red-contrib-totaliser```

The totaliser node can be used to create a periodic total of an input value. This node works in three possible ways:

* Accumulating Sum - Outputs the running total of the sum of every input at the end of every period. The total is not reset to zero at the start of the period
* Sum - Outputs the sum of every input at the end of every period. The total is reset to zero at the start of the period
* Difference - Outputs the difference between the last and the first inputs of a period, at the end of every period. This mode is useful when the input is an accumulating value such as a meter reading.